get metrics endpoint settings.md

Get metrics endpoint settings

Management API · Projects

GET https://app.mk.io/api/v1/projects/{project_name}/metricsEndpoint

Returns the metrics endpoint settings for this project.

RBAC Capability Required: mkio.metrics.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/metricsEndpoint" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

Example:

{
  "kind": "string",
  "spec": {
    "enabled": true
  },
  "status": {
    "password": "string",
    "url": "string",
    "username": "string"
  }
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: management-api · operationId: [get]_/api/v1/projects/{project_name}/metricsEndpoint